Package org.codehaus.groovy.runtime.memoize

## Interface MemoizeCache.ValueProvider<K,​V>

- Type Parameters:
    `K` - type of the key
    `V` - type of the value
  Enclosing interface:
    MemoizeCache<K,​V>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface MemoizeCache.ValueProvider<K,​V>

  Represents a provider used to create value

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `V` | `provide​(K key)` | Provide the created value

- - ### Method Detail

    - #### provide

          V provide​(K key)

      Provide the created value